> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/websphere-pack/websphere-liberty-nd.md).

# WebSphere Liberty ND

This page describes the Optimization Pack for the component type WebSphere Liberty ND.

## Metrics

There are no metrics for this component type.

## Parameters

### ConnectionManager

| Parameter                        | Type        | Unit | Default      | Domain                                                          | Restart | Description                                       |
| -------------------------------- | ----------- | ---- | ------------ | --------------------------------------------------------------- | ------- | ------------------------------------------------- |
| cm\_maxPoolSize                  | integer     |      | 50           | `0` → `1000`                                                    | yes     | Maximum number of physical connections for a pool |
| cm\_minPoolSize                  | integer     |      | 0            | `0` → `1000`                                                    | yes     | Minimum number of physical connections for a pool |
| cm\_maxConnectionsPerThread      | integer     |      | 1            | `0` → `30`                                                      | yes     | Maximum number of connections per thread          |
| cm\_numConnectionsPerThreadLocal | integer     |      | 1            | `0` → `30`                                                      | yes     | Maximum number of connections per local thread    |
| cm\_purgePolicy                  | categorical |      | `EntirePool` | `EntirePool`, `FailingConnectionOnly`, `ValidateAllConnections` | yes     | Purge Policy                                      |
| cm\_connectionTimeout            | categorical |      | `30s`        | `-1`, `0`, `5s`, `10s`, `30s`, `60s`, `90s`, `120s`             | yes     | Connection Timeout                                |
| cm\_maxIdleTime                  | categorical |      | `30m`        | `-1`, `1m`, `5m`, `10m`, `15m`, `30m`                           | yes     | Max Idle Time                                     |
| cm\_reapTime                     | categorical |      | `3m`         | `-1`, `30s`, `1m`, `3m`, `5m`                                   | yes     | Reap Time                                         |

### Executor

| Parameter        | Type    | Unit | Default | Domain                                                  | Restart | Description            |
| ---------------- | ------- | ---- | ------- | ------------------------------------------------------- | ------- | ---------------------- |
| exe\_coreThreads | integer |      | `-1`    | `-1`, `4`, `6`, `8`, `10`, `12`, `14`, `16`, `18`, `20` | yes     | Number of core threads |
| exe\_maxThreads  | integer |      | `-1`    | `-1` → `200`                                            | yes     | Max number of threads  |

### DB

| Parameter              | Type    | Unit | Default | Domain       | Restart | Description          |
| ---------------------- | ------- | ---- | ------- | ------------ | ------- | -------------------- |
| db\_minPoolSize        | integer |      | 0       | `0` → `1000` | yes     | Mimimum pool size    |
| db\_maxPoolSize        | integer |      | 50      | `0` → `1000` | yes     | Maximum pool size    |
| db\_connectionWaitTime | integer |      | 180     | `0` → `3600` | yes     | Connection wait time |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/websphere-pack/websphere-liberty-nd.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
